<template>
  <div class="p-8 space-y-2">
    <div v-for="item in items" class="max-w-md mx-auto bg-white rounded-xl shadow-md overflow-hidden">
      <!-- <NuxtLink :href="item.file_path"> -->
      <div @click="onClicked(item)" class="md:flex hover:cursor-pointer">
        <div class="md:flex-shrink-0">
          <!-- <img class="h-48 w-full object-cover md:w-48" src="https://via.placeholder.com/150" alt="Card image" /> -->
        </div>
        <div class="p-8">
          <div class="uppercase tracking-wide text-sm text-indigo-500 font-semibold">
            Category
          </div>
          <span class="block mt-1 text-lg leading-tight font-medium text-black hover:underline">
            {{ item.title }}</span>
          <p class="mt-2 text-gray-500">
            {{ item.description }}
          </p>
        </div>
      </div>
      <!-- </NuxtLink> -->
    </div>
  </div>
</template>

<script>
export default {
  props: {
    items: Array,
  },
  methods: {
    onClicked(item) {
      this.$emit("on-click", item);
    }
  }
};
</script>
